Package ru.bitel.bgbilling.plugins.documents.common.bean

# Class DocumentVariable

java.lang.Object
ru.bitel.bgbilling.plugins.documents.common.bean.DocumentVariable

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class DocumentVariable
    extends java.lang.Object
    implements java.lang.Cloneable

Класс-модель переменной в плагине Documents. Представляет собой идентификатор,
содержащийся в шаблоне документа, на место которого подставляется опреденное значение
в зависимости от типа переменной.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DocumentVariable()` |
  `DocumentVariable​(java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DocumentVariable` | `clone()` | Создание копии объекта.
  `boolean` | `equals​(java.lang.Object obj)` | Переопределенный для переменных шаблона метод сравнения.
  `java.lang.String` | `getAdditionalParam()` | Получение поля, в котором хранится дополнительная информация, актуальная для данной переменной: формат даты, код параметра договора и т.д.
  `java.lang.String` | `getTitle()` | Получение названия переменной.
  `DocumentVariableType` | `getType()` | Получение типа переменной.
  `java.lang.String` | `getValue()` | Получение значения переменной.
  `void` | `setAdditionalParam​(java.lang.String additionalParam)` | Установка поля, в котором хранится дополнительная информация, актуальная для данной переменной: формат даты, код параметра договора и т.д.
  `void` | `setTitle​(java.lang.String title)` | Установка названия переменной.
  `void` | `setType​(DocumentVariableType type)` | Установка типа переменной.
  `void` | `setValue​(java.lang.String value)` | Установка значения переменной.

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentVariable

    public DocumentVariable()

  - ### DocumentVariable

    public DocumentVariable​(java.lang.String title)

- ## Method Details

  - ### getTitle

    public java.lang.String getTitle()
    Получение названия переменной. Это название встречается в файле шаблона в виде {title}.
    Returns:
      название переменной.

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Установка названия переменной. Это название встречается в файле шаблона в виде {title}.
    Parameters:
      `title` - название переменной.

  - ### getType

    public DocumentVariableType getType()
    Получение типа переменной. Возможные значения:
    - `DocumentVariableType.CONST` - переменная содержит некоторое константное значение, которое подставится в шаблон как есть. Есть поддержка макросов. Подробее см. документацию плагина Documents.
    - `DocumentVariableType.DATE` - значение переменной содержит дату в определенном формате, который задается в поле `additionalParam`
    - `DocumentVariableType.CONTRACT_PARAM` - значение переменной содержит значение параметра договора
    - `DocumentVariableType.SQL` - значение переменной содержит sql-запрос, при выполнении которого будет получено некоторое значение
    - `DocumentVariableType.URL` - значение переменной содержит значение, полученное при получении по определенному url
    Returns:
      тип переменной.

  - ### setType

    public void setType​(DocumentVariableType type)
    Установка типа переменной. Возможные значения:
    - `DocumentVariableType.CONST` - переменная содержит некоторое константное значение, которое подставится в шаблон как есть. Есть поддержка макросов. Подробее см. документацию плагина Documents.
    - `DocumentVariableType.DATE` - значение переменной содержит дату в определенном формате, который задается в поле `additionalParam`
    - `DocumentVariableType.CONTRACT_PARAM` - значение переменной содержит значение параметра договора
    - `DocumentVariableType.SQL` - значение переменной содержит sql-запрос, при выполнении которого будет получено некоторое значение
    - `DocumentVariableType.URL` - значение переменной содержит значение, полученное при получении по определенному url
    Parameters:
      `type` - тип переменной.

  - ### getValue

    public java.lang.String getValue()
    Получение значения переменной.
    Returns:
      значение переменной.

  - ### setValue

    public void setValue​(java.lang.String value)
    Установка значения переменной.
    Parameters:
      `value` - значение переменной.

  - ### getAdditionalParam

    public java.lang.String getAdditionalParam()
    Получение поля, в котором хранится дополнительная информация, актуальная для данной переменной: формат даты, код параметра договора и т.д.
    Returns:
      дополнительная информация для переменной.

  - ### setAdditionalParam

    public void setAdditionalParam​(java.lang.String additionalParam)
    Установка поля, в котором хранится дополнительная информация, актуальная для данной переменной: формат даты, код параметра договора и т.д.
    Parameters:
      `additionalParam` - дополнительная информация для переменной.s

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Переопределенный для переменных шаблона метод сравнения. Переопределение необходимо, т.к. сравнение объектов происходит не по id, а по title+type+additionalParam+value
    Overrides:
      `equals` in class `java.lang.Object`

  - ### clone

    public DocumentVariable clone()
    Создание копии объекта.
    Overrides:
      `clone` in class `java.lang.Object`
    Since:
      7.0